Package weka.core.pmml.jaxbbindings

# Class Interval

java.lang.Object
weka.core.pmml.jaxbbindings.Interval

public class Interval extends Object

Java class for Interval element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Interval">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="closure" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="openClosed"/>
                   <enumeration value="openOpen"/>
                   <enumeration value="closedOpen"/>
                   <enumeration value="closedClosed"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="leftMargin" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="rightMargin" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Interval()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClosure()`
  Gets the value of the closure property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `Double`
  `getLeftMargin()`
  Gets the value of the leftMargin property.
  `Double`
  `getRightMargin()`
  Gets the value of the rightMargin property.
  `void`
  `setClosure(String value)`
  Sets the value of the closure property.
  `void`
  `setLeftMargin(Double value)`
  Sets the value of the leftMargin property.
  `void`
  `setRightMargin(Double value)`
  Sets the value of the rightMargin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Interval

    public Interval()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getClosure

    public String getClosure()
    Gets the value of the closure property.
    Returns:
      possible object is `String`

  - ### setClosure

    public void setClosure(String value)
    Sets the value of the closure property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLeftMargin

    public Double getLeftMargin()
    Gets the value of the leftMargin property.
    Returns:
      possible object is `Double`

  - ### setLeftMargin

    public void setLeftMargin(Double value)
    Sets the value of the leftMargin property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getRightMargin

    public Double getRightMargin()
    Gets the value of the rightMargin property.
    Returns:
      possible object is `Double`

  - ### setRightMargin

    public void setRightMargin(Double value)
    Sets the value of the rightMargin property.
    Parameters:
      `value` - allowed object is `Double`